Application: gvSIG desktop - gvSIG bugs #4464
gvSIG 2.4 doesn't run in Ubuntu 17.04
06/07/2017 11:51 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:

Category: Application

Target version: 2.4.0-2823 (rev. org.gvsig.deskiop-2.0.189)

Severity: Critical Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2822 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When gvSIG 2.4 is run in Ubuntu 17.04 (64 bits), it doesn't work. | attach screenshot and gvSIG.log file

Associated revisions

Revision 264 - 06/14/2017 12:12 PM - Joaquin del Cerro Murciano

refs #4464. Anadido al classpath el jar de gdal

History

#1 - 06/07/2017 01:00 PM - Mario Carrera
- gvSIG version changed from 2.3.3 to 2.4.0

#2 - 06/08/2017 01:56 PM - Alvaro Anguix
- Related to gvSIG bugs #4443: Error con gdal al ejecutar geoprocesos en ubuntu 14.04 added

#3 - 06/08/2017 01:56 PM - Alvaro Anguix
- Target version set to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#4 - 06/14/2017 07:40 AM - Joaquin del Cerro Murciano
- Related to deleted (gvSIG bugs #4443: Error con gdal al ejecutar geoprocesos en ubuntu 14.04)

#5 - 06/14/2017 11:02 AM - Alvaro Anguix
- gvSIG build set to 2822

- Severity changed from Major to Critical

- Priority changed from High to Urgent

- File JCRS.png added

- File gvSIG.log added

En el build 2822 ya parece que funciona la instalacién, pero al abrir gvSIG aparecen los iconos de los botones como cuadros rojos y salta un error que
indica que no encuentra varios plugins; al comprobar el de jCRS en el admin. de complementos efeetivamente aparece como no instalado.
Adjunto log y captura de pantalla
#6 - 06/14/2017 11:08 AM - Alvaro Anguix

- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2823 (rev. org.gvsig.desktop-2.0.189)

#7 - 06/14/2017 12:09 PM - Joaquin del Cerro Murciano
- Operative System set to Linux
- File autorun.sh added

Vale.

En linux 16.04 tampoco.

Me he dejado por afadir una linea en el arranque de plugin de gdal.

Si quieres probar mas cosas antes del siguiente build puedes cambiar el fichero:

gvSIG/extensiones/org.gvsig.gdal.app.mainplugin/autorun.sh

Por el que adjunto en el ticket.

#8 - 06/14/2017 12:12 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#9 - 06/14/2017 05:08 PM - Alvaro Anguix

Comprobado y funciona.

#10 - 06/15/2017 02:54 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG.log 510 KB 06/07/2017 Mario Carrera
Captura de tela de 2017-06-06 10-35-03.png 374 KB 06/07/2017 Mario Carrera
gvSIG.log 471 KB 06/14/2017 Alvaro Anguix
JCRS.png 28.6 KB 06/14/2017 Alvaro Anguix
autorun.sh 1.51 KB 06/14/2017 Joaquin del Cerro Murciano
